# Update entitlement Update an existing entitlement's properties, such as expiration date, by providing the entitlement ID and the fields to modify. Endpoint: PATCH /resources/entitlements/v2/{id} Version: 1.0 Security: bearer ## Path parameters: - `id` (string, required) ## Request fields (application/json): - `expirationDate` (string) Date of entitlement expiration Example: "2022-01-01T12:00:00" ## Response 200 fields (application/json): - `id` (string, required) UUID string that represents the entitlement ID Example: "e6a5012c-cbeb-4c1e-ab80-e5f43efd44e3" - `planId` (string, required) UUID string that represents the plan ID Example: "e6a5012c-cbeb-4c1e-ab80-e5f43efd44e3" - `tenantId` (string, required) UUID string that represents the account (tenant) ID Example: "e6a5012c-cbeb-4c1e-ab80-e5f43efd44e3" - `userId` (string) UUID string that represents the user ID Example: "e6a5012c-cbeb-4c1e-ab80-e5f43efd44e3" - `expirationDate` (string) Date of entitlement expiration Example: "2022-01-01T12:00:00" - `createdAt` (string, required) Date when entitlement was created Example: "2022-01-01T12:00:00" - `updatedAt` (string) Date when entitlement was last updated Example: "2022-01-01T12:00:00" - `plan` (object, required) Get the related plan object of the entitlement, in case withRelations is set to true - `plan.id` (string, required) UUID string that represents the plan ID Example: "e6a5012c-cbeb-4c1e-ab80-e5f43efd44e3" - `plan.vendorId` (string, required) UUID string that represents the vendor ID Example: "e6a5012c-cbeb-4c1e-ab80-e5f43efd44e3" - `plan.name` (string, required) String that represents the plan name Example: "Test Plan" - `plan.defaultTimeLimitation` (number) Number that represents the default time limitation in days for auto-assigned plans Example: "30" - `plan.description` (string) Feature plan description Example: "This is a test plan" - `plan.createdAt` (string, required) Date when plan was created Example: "2022-01-01T00:00:00" - `plan.updatedAt` (string) Date when plan was last updated Example: "2022-01-01T00:00:00"